libgutenprint API Reference 5.2.14

Macros | Functions | Variables
version

Version information. More...

## Macros
#define | STP_MAJOR_VERSION (5)
#define | STP_MINOR_VERSION (2)
#define | STP_MICRO_VERSION (14)
#define | STP_CURRENT_INTERFACE (9)
#define | STP_BINARY_AGE (7)
#define | STP_INTERFACE_AGE (0)
#define | STP_CHECK_VERSION(major, minor, micro)

## Functions
const char * | stp_check_version (unsigned int required_major, unsigned int required_minor, unsigned int required_micro)
| Check whether the library provides the requested version. More...

## Variables
const unsigned int | stp_major_version
| The library major version number. More...
const unsigned int | stp_minor_version
| The library minor version number. More...
const unsigned int | stp_micro_version
| The library micro version number. More...
const unsigned int | stp_current_interface
| The library ABI revision number (number of incompatible revisions). More...
const unsigned int | stp_binary_age
| The library ABI binary age number (number of forward-compatible revisions). More...
const unsigned int | stp_interface_age
| The library ABI interface age number (number of revisions of this ABI). More...

## Detailed Description

Version information.

Version information may be used to check the library version at compile-time, using macros, or at run-time, using constants.

## Macro Definition Documentation

## ◆ STP_BINARY_AGE

#define STP_BINARY_AGE (7)

## ◆ STP_CHECK_VERSION

#define STP_CHECK_VERSION | ( |  | major,
|  |  | minor,
|  |  | micro
| ) |  |

Value:
(STP_MAJOR_VERSION > (major) || \
(STP_MAJOR_VERSION == (major) && \
STP_MINOR_VERSION > (minor)) || \
(STP_MAJOR_VERSION == (major) && \
STP_MINOR_VERSION == (minor) && \
STP_MICRO_VERSION >= (micro)))
STP_MAJOR_VERSION
#define STP_MAJOR_VERSION
Definition: gutenprint-version.h:46
STP_MINOR_VERSION
#define STP_MINOR_VERSION
Definition: gutenprint-version.h:47

## ◆ STP_CURRENT_INTERFACE

#define STP_CURRENT_INTERFACE (9)

## ◆ STP_INTERFACE_AGE

#define STP_INTERFACE_AGE (0)

## ◆ STP_MAJOR_VERSION

#define STP_MAJOR_VERSION (5)

## ◆ STP_MICRO_VERSION

#define STP_MICRO_VERSION (14)

## ◆ STP_MINOR_VERSION

#define STP_MINOR_VERSION (2)

## Function Documentation

## ◆ stp_check_version()

const char* stp_check_version | ( | unsigned int | required_major,
|  | unsigned int | required_minor,
|  | unsigned int | required_micro
| ) |  |

Check whether the library provides the requested version.

Parameters

  required_major | the minimum major revision.
  required_minor | the minimum minor revision.
  required_micro | the minimum micro revision.

Returns
  NULL if the version matches, or else a description of the error if the library is too old or too new.

## Variable Documentation

## ◆ stp_binary_age

const unsigned int stp_binary_age

The library ABI binary age number (number of forward-compatible revisions).

## ◆ stp_current_interface

const unsigned int stp_current_interface

The library ABI revision number (number of incompatible revisions).

## ◆ stp_interface_age

const unsigned int stp_interface_age

The library ABI interface age number (number of revisions of this ABI).

## ◆ stp_major_version

const unsigned int stp_major_version

The library major version number.

## ◆ stp_micro_version

const unsigned int stp_micro_version

The library micro version number.

## ◆ stp_minor_version

const unsigned int stp_minor_version

The library minor version number.